# Interface TaskQueueConfig

#### Hierarchy

- TaskQueueConfig

- Defined in src/taskQueue.ts:5

#####
Index

### Properties

AllowedRetrySystemErrorCodes?
AllowedRetrySystemErrorMessages?
AllowedRetrySystemErrorNames?
DelayRetryTime?
ExecuteTaskTime?
MaxExecuteTask?
MaxKeepLiveSuccessTask?
MaxRetry?

## Properties

### `Optional` AllowedRetrySystemErrorCodes

AllowedRetrySystemErrorCodes?: number[]

- Defined in src/taskQueue.ts:19

### `Optional` AllowedRetrySystemErrorMessages

AllowedRetrySystemErrorMessages?: string[]

- Defined in src/taskQueue.ts:18

### `Optional` AllowedRetrySystemErrorNames

AllowedRetrySystemErrorNames?: string[]

- Defined in src/taskQueue.ts:17

### `Optional` DelayRetryTime

DelayRetryTime?: number

- Defined in src/taskQueue.ts:13

### `Optional` ExecuteTaskTime

ExecuteTaskTime?: number

- Defined in src/taskQueue.ts:7

### `Optional` MaxExecuteTask

MaxExecuteTask?: number

- Defined in src/taskQueue.ts:9

### `Optional` MaxKeepLiveSuccessTask

MaxKeepLiveSuccessTask?: number

- Defined in src/taskQueue.ts:15

### `Optional` MaxRetry

MaxRetry?: number

- Defined in src/taskQueue.ts:11

Generated using TypeDoc